/*
** __low_level_init.c
**
** The __low_level_init() routine is called early in the runtime startup sequence 
** providing a hook to initialize hardware prior to the rest of the runtime 
** initialization in which all the code and data is coped from flash to
** internal SRAM.
**
** Copyright (c) 2013 Analog Devices, Inc. All Rights Reserved.
**/

#include "device.h"
#include "proc_init.h"

#pragma section = "hw_init"
#pragma section = "hw_init_init"
uint32_t __low_level_init()
{
  char * from = __section_begin("hw_init_init");
  char * to = __section_begin("hw_init");

  for(uint32_t i = 0; i<__section_size("hw_init"); i++)
  {
    to[i] = from[i];
  }

  proc_init();
  return 1;

}